For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Calculator
OverviewAPI Endpoints
OverviewAPI Endpoints
  • Endpoints
      • GETList uplifts
      • POSTCreate an uplift
      • GETGet uplift by ID
      • PUTUpdate uplift (full)
      • PATCHUpdate uplift (partial)
Calculator
LogoLogo
EndpointsUplifts

Update uplift (full)

PUT
https://api.finput.com.au/api/v1/uplifts/:id
PUT
/api/v1/uplifts/:id
$curl -X PUT https://api.finput.com.au/api/v1/uplifts/1 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "uplift_name": "Used Asset Premium"
>}'
200Updated
1{
2 "message": "message"
3}
Was this page helpful?
Previous

Update uplift (partial)

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idintegerRequired

Request

This endpoint expects an object.
uplift_namestringRequired
product_idintegerOptional
rate_bracket_idintegerOptional
fields_namelist of stringsOptional
rate_changedoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0
property_ownership_statusbooleanOptionalDefaults to false
asset_stateenumOptional
Allowed values:
min_asset_costdoubleOptional
max_asset_costdoubleOptional
min_asset_ageintegerOptional
max_asset_ageintegerOptional
min_abn_ageintegerOptional
max_abn_ageintegerOptional
min_gst_ageintegerOptional
max_gst_ageintegerOptional
min_termintegerOptional
max_termintegerOptional
min_credit_scoreintegerOptional
max_credit_scoreintegerOptional
min_asset_age_plus_termintegerOptional
max_asset_age_plus_termintegerOptional
private_salebooleanOptionalDefaults to false
sale_hire_backbooleanOptionalDefaults to false
brokerage_loading_treatmentdoubleOptional2.2250738585072014e-308-1.7976931348623157e+308Defaults to 0

Response

Uplift updated
messagestring